<% @Page Language="VB" %>
<% @Import Namespace="System.Data" %>
<% @Import Namespace="System.IO" %>

<script language="VB" runat="server">

    Sub Page_Load(Sender As Object, E As EventArgs)

        Dim ds As DataSet = new DataSet

        Dim fs As FileStream = new FileStream( Server.MapPath("links.xml"), _
            FileMode.Open, FileAccess.Read )
        Dim reader As StreamReader = new StreamReader( fs )
        ds.ReadXml( reader )

        fs.Close()
        Dim Source As DataView = new DataView( ds.Tables(0) )
        MyRepeater.DataSource = Source
        MyRepeater.DataBind

    End Sub

</script>

<HTML>
<HEAD>
    <TITLE>Basic Repeater Example</TITLE>
</HEAD>
<BODY>

<h1>Basic Repeater Example</h1>
<hr>

<asp:Repeater id="MyRepeater" runat="server">

    <ItemTemplate>
        <asp:Hyperlink runat="server"
            NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "Link") %>'
            Text='<%# DataBinder.Eval(Container.DataItem, "Text") %>'/>
        <br>
    </ItemTemplate>

</asp:Repeater>

</BODY>
</HTML>
