<% @Page Language="C#" %>
<% @Import Namespace="System.Data" %>
<% @Import Namespace="System.IO" %>

<script language="C#" runat="server">

    void Page_Load(Object src, EventArgs e) {

        DataSet ds = new DataSet();

        FileStream fs = new FileStream( Server.MapPath("mydata.xml"),
            FileMode.Open, FileAccess.Read );
        StreamReader reader = new StreamReader( fs );
        ds.ReadXml( reader );

        fs.Close();
        DataView Source = new DataView( ds.Tables[0] );
        MyDataList.DataSource = Source;
        MyDataList.DataBind();

    }

</script>

<HTML>
<HEAD>
    <TITLE>Formatting DataList with Styles Example</TITLE>
</HEAD>
<BODY>

<asp:DataList id="MyDataList" runat="server"
  ItemStyle-Font-Name="Arial"
  ItemStyle-Font-Size="10pt"
  ItemStyle-ForeColor="Red"
  ItemStyle-HorizontalAlign="Left"
  ItemStyle-BorderStyle="Double"
  AlternatingItemStyle-BackColor="Khaki"
  AlternatingItemStyle-ForeColor="blue"
  AlternatingItemStyle-Underline="true"
  AlternatingItemStyle-Height="100"
  AlternatingItemStyle-HorizontalAlign="Right"
  AlternatingItemStyle-BorderStyle="Dotted">

    <ItemTemplate>

        <asp:Label runat="server"
            Font-Bold="true"
            text='<%# DataBinder.Eval(Container.DataItem, "ProductName") %>'/>
        <br>
        ProductID:
        <asp:Label runat="server"
            text='<%# DataBinder.Eval(Container.DataItem, "ProductID") %>'/>
        <br>
        Manufacturer:
        <asp:Label runat="server"
            text='<%# DataBinder.Eval(Container.DataItem, "Manufacturer") %>'/>
        <br>
        <asp:Label runat="server" font-italic="true"
            text='<%# 
            DataBinder.Eval(Container.DataItem, "ProductDescription") %>'/>
        <br><br>

    </ItemTemplate>

</asp:DataList>

</BODY>
</HTML>
