<% @Page Language="VB" %>
<% @Import Namespace="System.Data" %>
<% @Import Namespace="System.IO" %>

<script language="VB" runat="server">

    Sub Page_Load(Sender As Object, E As EventArgs)

        Dim ds As DataSet = new DataSet

        Dim fs As FileStream = new FileStream( Server.MapPath("mydata.xml"), _
      FileMode.Open, FileAccess.Read )
        Dim reader As StreamReader = new StreamReader( fs )
        ds.ReadXml( reader )

        fs.Close()
        Dim Source As DataView = new DataView( ds.Tables(0) )
        MyDataList.DataSource = Source
        MyDataList.SelectedIndex = 1
        MyDataList.DataBind

    End Sub

</script>

<HTML>
<HEAD>
    <TITLE>Basic DataList Example</TITLE>
</HEAD>
<BODY>

<asp:DataList id="MyDataList" runat="server">

    <ItemTemplate>

        <asp:Label runat="server"
            Font-Bold="true"
            text='<%# DataBinder.Eval(Container.DataItem, "ProductName") %>'/>
        <br>
        ProductID:
        <asp:Label runat="server"
            text='<%# DataBinder.Eval(Container.DataItem, "ProductID") %>'/>
        <br>
        Manufacturer:
        <asp:Label runat="server"
            text='<%# DataBinder.Eval(Container.DataItem, "Manufacturer") %>'/>
        <br>
        <asp:Label runat="server" font-italic="true"
            text='<%# 
            DataBinder.Eval(Container.DataItem, "ProductDescription") %>'/>
        <br><br>

    </ItemTemplate>

    <SelectedItemTemplate>

        <b>SELECTED</b><br>
        <asp:Label runat="server"
            Font-Bold="true"
            ForeColor="red"
            text='<%# DataBinder.Eval(Container.DataItem, "ProductName") %>'/>
        <br>
        ProductID:
        <asp:Label runat="server"
            text='<%# DataBinder.Eval(Container.DataItem, "ProductID") %>'/>
        <br>
        Manufacturer:
        <asp:Label runat="server"
            text='<%# DataBinder.Eval(Container.DataItem, "Manufacturer") %>'/>
        <br>
        <asp:Label runat="server" font-italic="true"
            text='<%# 
            DataBinder.Eval(Container.DataItem, "ProductDescription") %>'/>
        <br><br>

    </SelectedItemTemplate>

</asp:DataList>

</BODY>
</HTML>
