<% @Page Language="VB" %>
<% @Import Namespace="System.Data.SqlClient" %>
<% @Import Namespace="System.Data" %>

<script runat="server">

  Sub Page_Load(Sender As Object, E As EventArgs)
      If Not Page.IsPostBack Then
        bindData()
      End If
  End Sub

  Sub BindData()

      'Create Instance of Connection and Command Object
      Dim cn As SqlConnection = new 
        SqlConnection("server=localhost;uid=sa;pwd=;database=northwind")
      Dim adapter As SqlDataAdapter = new 
        SqlDataAdapter("select * from products", cn)

      Dim myDataSet As DataSet = new DataSet
      adapter.Fill(myDataSet, "products")

      mygrid.DataSource = myDataSet.Tables("products")
      mygrid.DataBind()

  End Sub

  Sub PageData(src As Object, e As DataGridPageChangedEventArgs)

    mygrid.CurrentPageIndex = e.NewPageIndex
    BindData()

  End Sub

</script>


<HTML>
<HEAD>
    <TITLE>Paging DataGrid Example</TITLE>
</HEAD>
<BODY>

<h1>Paging DataGrid Example</h1>
<HR>

<form runat="server" id=form1 name=form1>

  <asp:datagrid id="mygrid" runat="server"
    PagerStyle-Mode="NextPrev"
      PagerStyle-NextPageText="Next Page"
      PagerStyle-PrevPageText="Previous Page"
      PagerStyle-Visible="True"
      AllowPaging="true"
      PageSize="10"
      OnPageIndexChanged="PageData" />

</form>

</BODY>
</HTML>
