<% @Page Language="C#" %>
<% @Import Namespace="System.Data" %>
<% @Import Namespace="System.IO" %>

<script language="C#" runat="server">

    void Page_Load(Object src, EventArgs e) {

        DataSet ds = new DataSet();

        FileStream fs = new FileStream( 
            Server.MapPath("mydata.xml"), FileMode.Open, FileAccess.Read );
        StreamReader reader = new StreamReader( fs );
        ds.ReadXml( reader );

        fs.Close();
        DataView Source = new DataView( ds.Tables[0] );
        MyDataGrid.DataSource = Source;
        MyDataGrid.DataBind();

    }

</script>

<HTML>
<HEAD>
    <TITLE>Data Binding to XML</TITLE>
</HEAD>
<BODY>

<h1>Data Binding to XML</h1>
<hr>

<asp:DataGrid id="MyDataGrid" runat="server" />

</BODY>
</HTML>
