<% @Page Language="C#" %>

<HTML>
<HEAD>
    <LINK rel="stylesheet" type="text/css" href="Main.css">
    <!-- End Style Sheet -->

    <script language="C#" runat="server" >

        bool ServerValidate (object source, string value)
        {
            try {
               int i = Int32.Parse(value);

               if ( (i % 2 == 0)||(i % 3 == 0) && (i!=2) && (i!=3) )
                 if( i!=2 )
                 {
                   msg.Text = "Please enter a prime number between 1 and 20!";
                   return false;
                 }
            }
            catch (Exception) {}

            msg.Text = value + " is a prime number!";
            return true;
        }

    </script>

</HEAD>
<BODY>

<h2>Custom Validation Example</h2>
<hr>

<form runat="server">

    <asp:Label 
      id=msg 
      Text="Please enter a prime number between 1 and 20:" 
      runat=server/><br>

    <br><br>

    <asp:TextBox id=text1 runat="server" />

    <asp:RequiredFieldValidator id="RequiredFieldValidator1" runat="server"
        ControlToValidate="text1"
        ErrorMessage="Field cannot be blank!"
        Display="Dynamic"
        Font-Name="verdana" Font-Size="10pt">
    </asp:RequiredFieldValidator>

    <asp:CustomValidator id="CustomValidator1" runat="server"
        ControlToValidate="text1"
        ErrorMessage="Not a prime number!"
        ClientValidationFunction="ClientValidate"
        OnServerValidate="ServerValidate"
        Display="Static"
        Font-Name="verdana" Font-Size="10pt">
    </asp:CustomValidator>

    <asp:RangeValidator
        Type="Integer"
        ErrorMessage="You must enter a valid integer between 1 and 20!"
        Font-Name="verdana" Font-Size="10pt"
        ControlToValidate="text1"
        MaximumValue="20"
        MinimumValue="1"
        runat="server">
    </asp:RangeValidator>

    <br><br>

    <asp:Button id=button1 text="Submit" runat="server" />

    <script language="javascript">

       function ClientValidate(source, value)
       {
          if ( (value % 2 == 0)||(value % 3 == 0) && (value!=2) && (value!=3) )
            return false;
          else
            return true;
       }

    </script>

</form>
<hr>

</BODY>
</HTML>
