<% @Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<HTML>
<HEAD>
    <LINK rel="stylesheet" type="text/css" href="Main.css">
    <!-- End Style Sheet -->

    <script language="C#" runat="server" >
      void Page_Load(Object Source, EventArgs E)
      {
        //Create Connection
        SqlConnection nwConn = new SqlConnection("Data Source=localhost; 
                            User Id=sa; Password=;Initial Catalog=northwind");

        //Create Command
        SqlCommand nwCommand = new SqlCommand("SalesByCategory", nwConn);

        //Set as Stored Procedure
        nwCommand.CommandType = CommandType.StoredProcedure;

        //Set up parameters
        SqlParameter sprocParams = null;
        sprocParams = nwCommand.Parameters.Add(
                   new SqlParameter("@CategoryName", SqlDbType.NVarChar, 15));
        sprocParams.Direction = ParameterDirection.Input;
        sprocParams.Value = "Beverages";

        //Create Adapter and set to current command object
        SqlDataAdapter nwAdapter = new SqlDataAdapter();
        nwAdapter.SelectCommand = nwCommand;

        //Fill Dataset
        DataSet report = new DataSet();
        nwAdapter.Fill(report, "SalesByCategory");

        //Bind to DataGrid
        salesReport.DataSource = report.Tables["SalesByCategory"];
        salesReport.DataBind();

      }
    </script>

</HEAD>
<BODY>

<h1>Returning Values From a Stored Procedure</h1>
<hr>

<form runat="server" id=form1 name=form1>
  <asp:DataGrid id=salesReport runat="server"></asp:DataGrid>
</form>
<hr>

</BODY>
</HTML>
