'*******************************************************
'
' InstantOrder.CheckStatus() Method
'
' The CheckStatus method enables a remote client to programmatically
' query the current status of an order in the IBuySpy System.
'
'*******************************************************

    Public Function <WebMethod()> CheckStatus(userName As String, _
                   password As String, OrderID As Integer) As OrderDetails

        ' Login client using provided username and password
        Dim accountSystem As IBuySpy.CustomersDB = New IBuySpy.CustomersDB()
        Dim customerId As String = accountSystem.Login(userName, password)

        If customerId = Nothing Then
            throw new Exception("Error: Invalid Login!")
        End If

        ' Return OrderDetails Status for Specified Order
        Dim orderSystem As IBuySpy.OrdersDB = New IBuySpy.OrdersDB()
        Return orderSystem.GetOrderDetails(orderID)

    End Function
