<% @Page Language="VB" %>
<%@ Import Namespace="System.Web" %>

<HTML>
<HEAD>
    <LINK rel="stylesheet" type="text/css" href="Main.css">
    <!-- End Style Sheet -->
    
    <script language="VB" runat="server" >
      Sub Page_Load(Source as Object, E as EventArgs)
        if Page.IsPostBack then
            
            'Create new cookie
            dim newCookie as new HttpCookie("UserName")
        
            'Configure cookie
            newCookie.Domain = "asppages.com"
            newCookie.Expires = new DateTime(2001, 12, 7)
            newCookie.Name = "UserName"
            newCookie.Path = "/"
            newCookie.Secure = false
            newCookie.Value = txtUsername.Text

            'Add cookie to response object
            Response.Cookies.Add(newCookie)
        
            'Output cookie value to page
            msg.Text = Response.Cookies("UserName").Value
        end if
      End Sub
    </script>
    
</HEAD>
<BODY>

<h1>Working With Cookies</h1>
<hr>

<form runat="server" id=form1 name=form1>
  
  Cookie contents: <asp:label id=msg runat=server></asp:label><br>
  
  <asp:TextBox id=txtUsername runat=server></asp:TextBox>
  <input type=submit runat=server id=submit1 name=submit1>
  
</form>
<hr>

</BODY>
</HTML>
