<%@ Page Language="VB" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<html>
<head>
    <title>Selecting An Item in the DataGrid</title>
</head>

<script runat="server">

  Sub Page_Load(Sender As Object, E As EventArgs)
    If Not Page.IsPostBack Then
      bindData()
    End If
  End Sub

  Sub bindData()
    MyDataGrid.DataSource = CreateDataSource()
    MyDataGrid.DataBind()
  End Sub

  Sub Select_Item(Sender As Object, E As EventArgs)
    lbl.Text = "You have selected: " + _
      MyDataGrid.DataKeys(MyDataGrid.SelectedIndex).ToString()
  End Sub

  Function CreateDataSource() As ICollection

    'Create Instance of Connection and Command Object
      Dim cn As SqlConnection = new 
        SqlConnection("server=localhost;uid=sa;pwd=;database=northwind")
      Dim adapter As SqlDataAdapter = new 
        SqlDataAdapter("select * from products", cn)

      Dim myDataSet As DataSet = new DataSet
      adapter.Fill(myDataSet, "products")

      Dim dv As DataView = myDataSet.Tables("products").DefaultView
      CreateDataSource = dv

  End Function

</script>

<body>

<h1>Selecting An Item in the DataGrid</h1>
<hr>

<form runat="server" id=form1 name=form1>

<asp:DataGrid
  id="MyDataGrid"
  runat="server"
  AutoGenerateColumns="false"
  DataKeyField="ProductId"
  SelectedItemStyle-Backcolor="yellow"
  HeaderStyle-BackColor="Gray"
  HeaderStyle-ForeColor="white"
  OnSelectedIndexChanged="Select_Item">

  <Columns>

    <asp:ButtonColumn
       HeaderStyle-Width="100px"
       HeaderText="Read Post"
       Text="Select"
       CommandName="Select"/>

    <asp:BoundColumn
       HeaderStyle-Width="100px"
       HeaderText="ID"
       DataField="ProductId"/>

    <asp:BoundColumn
       HeaderStyle-Width="200px"
       HeaderText="Product Name"
       DataField="ProductName"/>

  </Columns>

</asp:DataGrid>

</form>

<asp:label id="lbl" runat="server"/>

</body>
</html>
