<% @Page Language="C#" %>

<HTML>
<HEAD>
    <LINK rel="stylesheet" type="text/css" href="Main.css">
    <!-- End Style Sheet -->

    <script language="C#" runat="server" >
      void Page_Load(Object Source, EventArgs E)
      {
        if(Page.IsPostBack==true)
          if(Page.IsValid==false)
            msg.Text = "All form elements are required.  Please enter 
              information in fields marked with a '<font color=red>*</font>'";
          else
            msg.Text = "You have successfully entered all information!";
      }
    </script>

</HEAD>
<BODY>

<h2>Required Field Validator Example</h2>
<hr>

<form runat="server" id=form1 name=form1>
 <table>
  <tr><td>
    Name: </td>
  <td>

    <asp:TextBox id=name1 MaxLength="10" Columns="20" runat=server/></td>

  <td>

    <asp:RequiredFieldValidator
      ControlToValidate="name1"
      Display="Static"
      InitialValue="" Width="100%" runat=server>
      *
    </asp:RequiredFieldValidator>

  </td></tr>
  <tr><td>
    Address:
  </td>
  <td>

    <asp:TextBox id=address1 MaxLength="40" Columns="20" runat=server/></td>

  <td>

    <asp:RequiredFieldValidator
      ControlToValidate="address1"
      Display="Static"
      InitialValue="" Width="100%" runat=server>
      *
    </asp:RequiredFieldValidator>

  </td></tr>
  <tr><td>
    Phone Number:
  </td>
  <td>

    <asp:TextBox 
       id=phone1 
       MaxLength="10" 
       Columns="20" 
       runat=server>
    XXX-XXX-XXXX
    </asp:Textbox></td>

  <td>

    <asp:RequiredFieldValidator
      ControlToValidate="phone1"
      Display="Dynamic"
      InitialValue="XXX-XXX-XXXX" Width="100%" runat=server>
      *
    </asp:RequiredFieldValidator>

    <asp:RequiredFieldValidator
      ControlToValidate="phone1"
      Display="Dynamic"
      InitialValue="" Width="100%" runat=server>
      *
    </asp:RequiredFieldValidator>

  </td></tr>
  <tr><td>
    &nbsp;
  </td>
  <td>

    <asp:Button id=button1 Text="Submit" runat=server/></td></tr>

 </table><br><br>

    <asp:Label id=msg runat=server/>

</form>
<hr>

</BODY>
</HTML>
