<% @Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<HTML>
<HEAD>
    <LINK rel="stylesheet" type="text/css" href="Main.css">
    <!-- End Style Sheet -->

    <script language="C#" runat="server" >
      void Page_Load(Object Source, EventArgs E)
      {
        //create and open connection to the database
        SqlConnection nwConn = new SqlConnection("Data Source=localhost; 
                            User Id=sa; Password=;Initial Catalog=northwind");
        nwConn.Open();

        //create command object and set type of command to stored procedure
        SqlCommand nwCommand = new SqlCommand("Ten Most Expensive Products", 
                                              nwConn);
        nwCommand.CommandType = CommandType.StoredProcedure;

        //create adapter object and assign command object above to adapter
        SqlDataAdapter nwAdapter = new SqlDataAdapter();
        nwAdapter.SelectCommand = nwCommand;

        //create and fill dataset
        DataSet report = new DataSet();
        nwAdapter.Fill(report, "MostExpensiveItems");

        //Bind to datagrid
        salesReport.DataSource = report.Tables["MostExpensiveItems"];
        salesReport.DataBind();

      }
    </script>

</HEAD>
<BODY>

<h1>Returning a DataSet From a Stored Procedure</h1>
<hr>

<form runat="server" id=form1 name=form1>
  <asp:DataGrid id=salesReport runat=server></asp:DataGrid>
</form>
<hr>

</BODY>
</HTML>
