CREATE PROCEDURE [AddNewEmployee]
(
    @LastName nvarchar(20),
    @FirstName nvarchar(10),
    @HireDate datetime,
    @Address nvarchar(60),
    @City nvarchar(20),
    @Extension nvarchar(4),
    @retval int OUTPUT
)
 AS

INSERT INTO Employees
(
    LastName,
    FirstName,
    HireDate,
    Address,
    City,
    Extension
)
VALUES
(
    @LastName,
    @FirstName,
    @HireDate,
    @Address,
    @City,
    @Extension
)

select @retval = @@identity
GO
