<% @Page Language="C#" %>
<%@ Import Namespace="remailer" %>

<HTML>
<HEAD>
    <LINK rel="stylesheet" type="text/css" href="Main.css">
    <!-- End Style Sheet -->

    <script language="C#" runat="server" >



      public void Submit_Click(Object sender, EventArgs E)
      {

        string sFrom = txtFrom.Text;
        string sTo = txtTo.Text;
        string sSubject = txtSubject.Text;
        string sBody = txtMessage.Text;

        SendMail service = new SendMail();
        service.Send(sFrom, sTo, sSubject, sBody);

        MyLabel.Text = "Your message has been sent.";
      }
    </script>

</HEAD>
<BODY>

<h1>Consuming Web Services</h1>
<hr>

<form runat="server" id=form1 name=form1>
  <table>
    <tr>
      <td colspan=2>
        <h2><asp:Label id="MyLabel" runat="server">
               Please fill out all fields.
            </asp:Label></h2>
      </td>
    <tr>
      <td>
        Your Email:
      </td>
      <td>
        <asp:TextBox id="txtFrom" runat="server"></asp:TextBox>
      </td>
    </tr>
    <tr>
      <td>
        Send to:
      </td>
      <td>
        <asp:TextBox id="txtTo" runat="server"></asp:TextBox>
      </td>
    </tr>
    <tr>
      <td>
        Message Subject:
      </td>
      <td>
        <asp:TextBox id="txtSubject" runat="server"></asp:TextBox>
      </td>
    </tr>
    <tr>
      <td>
        Message:
      </td>
      <td>
        <asp:TextBox TextBoxMode="MultiLine" id="txtMessage" runat="server">
        </asp:TextBox>
      </td>
    </tr>
    <tr>
      <td>
        <input type="submit" OnServerClick="Submit_Click" runat="server">
</form>
<hr>

</BODY>
</HTML>
