<% @Page Language="C#" %>
<%@ Import Namespace="System.Web" %>

<HTML>
<HEAD>
    <LINK rel="stylesheet" type="text/css" href="Main.css">
    <!-- End Style Sheet -->
    
    <script language="C#" runat="server" >
      void Page_Load(Object Source, EventArgs E)
      {
        if (Page.IsPostBack) {
            
            //Create new cookie
            HttpCookie newCookie = new HttpCookie("UserName");
        
            //Configure cookie
            newCookie.Domain = "asppages.com";
            newCookie.Expires = new DateTime(2001, 12, 7);
            newCookie.Name = "UserName";
            newCookie.Path = "/";
            newCookie.Secure = false;
            newCookie.Value = txtUsername.Text;

            //Add cookie to response object
            Response.Cookies.Add(newCookie);
        
            //Output cookie value to page
            msg.Text = Response.Cookies["UserName"].Value;
        }
      }
    </script>
    
</HEAD>
<BODY>

<h1>Working With Cookies</h1>
<hr>

<form runat="server" id=form1 name=form1>
  
  Cookie contents: <asp:label id=msg runat=server></asp:label><br>
  
  <asp:TextBox id=txtUsername runat=server></asp:TextBox>
  <input type=submit runat=server>
  
</form>
<hr>

</BODY>
</HTML>
